aboutsummaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorPaul Kehrer <paul.l.kehrer@gmail.com>2014-01-09 23:42:31 -0600
committerPaul Kehrer <paul.l.kehrer@gmail.com>2014-01-10 00:06:16 -0600
commitfff077f5de6877280e1172a504fd3c91a927fb99 (patch)
tree5d0f666a203bfb98f4383cf40181cd27b9544965 /.travis
parentfbb128fa06b81d64d2e9d27f17d65685b3d6624c (diff)
downloadcryptography-fff077f5de6877280e1172a504fd3c91a927fb99.tar.gz
cryptography-fff077f5de6877280e1172a504fd3c91a927fb99.tar.bz2
cryptography-fff077f5de6877280e1172a504fd3c91a927fb99.zip
move script to separate file for readability
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/run.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.travis/run.sh b/.travis/run.sh
new file mode 100755
index 00000000..2d99f8c4
--- /dev/null
+++ b/.travis/run.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [[ "$(uname -s)" == "Darwin" ]]; then
+ eval "$(pyenv init -)"
+ if [[ "${OPENSSL}" != "0.9.8" ]]; then
+ export ARCHFLAGS="-arch x86_64"
+ export LDFLAGS="-L/usr/local/opt/openssl/lib"
+ export CFLAGS="-I/usr/local/opt/openssl/include"
+ fi
+fi
+source ~/.venv/bin/activate
+tox -e $TOX_ENV